PETSc version 3.15.5
Fix/Edit manual page

# PetscDrawSetType

Builds graphics object for a particular implementation

### Synopsis

    #include "petscdraw.h"
    #include "petscviewer.h"
    PetscErrorCode  PetscDrawSetType(PetscDraw draw,PetscDrawType type)

Collective on PetscDraw

### Input Parameter

| draw | - the graphics context
| type | - for example, PETSC_DRAW_X

### Options Database Command

| -draw_type <type> | - Sets the type; use -help for a list of available methods (for instance, x)

See PetscDrawSetFromOptions() for additional options database keys

### Notes

See "petsc/include/petscdraw.h" for available methods (for instance, PETSC_DRAW_X, PETSC_DRAW_TIKZ or PETSC_DRAW_IMAGE)

### See Also

PetscDrawSetFromOptions(), PetscDrawCreate(), PetscDrawDestroy(), PetscDrawType

### Level

intermediate

### Location

src/sys/classes/draw/interface/drawreg.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages